/*
 * ============================================================================
 * Licensed Materials - Property of IBM
 *  WebSphere sMash
 *
 * (C) Copyright IBM Corp. 2007  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 * ============================================================================
 */
 
package script

headers.out."Content-Type" = "application/atom+xml"

// grouping entries of each publishing company
def queryParams = [
	"select": [
       	"media:credit/text() as atom:title",
       	'count($collection) as atom:summary',
    ],
    "groupBy": "media:credit",
    "orderBy": 'count($collection) number descending',
]

zero.feed.FeedFactory.fetch("http://rss.news.yahoo.com/rss/topstories")
	.declareNamespaces(["media":"http://search.yahoo.com/mrss/"])
	.query(queryParams).writeTo(request.writer[])
