/*
 * ============================================================================
 * Licensed Materials - Property of IBM
 *  WebSphere sMash
 *
 * (C) Copyright IBM Corp. 2007  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 * ============================================================================
 */
package script
// sort entries by publish date in decending
def results = zero.feed.FeedFactory.aggregate(
				"http://rss.news.yahoo.com/rss/topstories",
				"http://rss.cnn.com/rss/cnn_topstories.rss"
			)
			.orderBy("published", false)
			.top(10)

// render in RSS, where accept feed data in DOM node
request.view = "RSS"
request.rss.output = results.toNode()
render()
