<?xml version="1.0" encoding="UTF-8"?>
<!--
/*
 * ============================================================================
 * Licensed Materials - Property of IBM
 *  WebSphere sMash
 *
 * (C) Copyright IBM Corp. 2007  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 * ============================================================================
 */
-->
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
   xmlns:tran="http://www.example.org/transaction" xmlns:atom="http://www.w3.org/2005/Atom"> 
   
  <xsl:param name="exchangeRate">1</xsl:param> 
  <xsl:output method="xml" encoding="UTF-8" indent="yes" />  
  
  <xsl:template match="node()"  priority="-1">
  <xsl:copy>
    <xsl:apply-templates select="node()"/>
  </xsl:copy>
  </xsl:template>
  <xsl:template match="/atom:feed/atom:entry/tran:Price" priority="2">
   <xsl:param name="currPrice" select="." />
  <!-- copy the node itself -->
  <xsl:copy>
	<!-- copy its attributes -->   
    <xsl:for-each select="@*">
      <xsl:copy/>
    </xsl:for-each>
    <!-- add the new content -->
     <xsl:value-of select="$currPrice * $exchangeRate"/>
  </xsl:copy>
  </xsl:template>
  
  <xsl:template match="/atom:feed/atom:entry/atom:content" priority="2">
   <xsl:param name="currPrice" select="." />
  <!-- copy the node itself -->
  <xsl:copy>
	<!-- copy its attributes -->   
    <xsl:for-each select="@*">
      <xsl:copy/>
    </xsl:for-each>
    <!-- add the new content -->
     <xsl:value-of select="$currPrice * $exchangeRate"/>
  </xsl:copy>
  </xsl:template>
  
</xsl:stylesheet>