/*
 * ============================================================================
 * Licensed Materials - Property of IBM
 *  WebSphere sMash
 *
 * (C) Copyright IBM Corp. 2007  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 * ============================================================================
 */

 package approvalPage;

def onGET() {
	String username = request.params.username[0];
	String processid = request.params.processid[0];
    String activity = request.params.activity[0];
    
    String approveUri = "/employee/deleteEmployee/" + processid + "/" + activity + "?approve=1";
    String rejectUri = "/employee/deleteEmployee/"  + processid + "/" + activity + "?approve=0";
        
	def formContent = """
	<html>
	<title>Approve or reject deletion of ${username}</title>
    <body>
	Welcome, approver. Do you approve or reject the deletion of <b>${username}</b>?
	<br/><br/>
    <table><tr>
	  <td><form method="post" action="${approveUri}"> 
            <input type="submit" value="Approve">
          </form></td>
      <td><form method="post" action="${rejectUri}"> 
            <input type="submit" value="Reject">
          </form></td>
    </tr></table>
	</body>
	</html>
	"""
	println (formContent);
}